package com.dgtis.dorm.manager.db.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class AlumniUser {
	private Integer id;

	private String loginId;

	private String password;

	private String enUserName;// 姓名首字母

	private String userName;// 真实姓名

	private String roleType;// 角色

	private String gender;// 性别

	private String working;// 工作单位

	private String position;// 职位描述

	private String place;// 居住地址

	private String photo;// 头像

	private String sign;// 签名

	private String email;// 邮箱

	private String phone;// 手机号

	private Boolean hiddenGender;// 是否隐藏性别

	private Boolean hiddenEmail;// 是否隐藏邮箱

	private Boolean hiddenPosi;// 是否隐藏职位

	private Boolean hiddenPlace;// 是否隐藏居住地址

	private Boolean hiddenPhone;// 是否隐藏手机号码

	private Integer auditStatus;// 审核状态（1:申请中，2:驳回，3:通过，0默认状态）

	private String reason;// 驳回原因

	private String openId;

	private String major;// 专业

	private Date createDate;// 创建时间

	private Date lastLoginTime;// 最后一次登录时间

	private String lastLoginTimeStr;//最后一次登录时间（字符串格式）

	private String formId;// 用户提交表单的id

	private Date auditDataTime;//审核时间

	private String address;//邮寄地址

	private String postcode;//邮政编码

    private String annotation;//备注

    //新加字段
    private String pDocumentType;//个人证件类型
    private String pDocumentNum;//个人证件号码
    private String pPhone;//个人手机号
    private String pEmail;//个人电子邮箱
    private String pAddress;//个人用户地址
    private String lInstitutionName;//法人组织机构全称
    private String lInstitutionType;//法人组织证件类型
    private String lInstitutionNum;//法人组织证件号码
    private String lUsername;//法人姓名
    private String lDocumentType;//法人证件类型
    private String lDocumentNum;//法人证件号码
    private String lPhone;//法人联系方式
    private String lEmail;//法人电子邮箱
    private String lAddress;//法人联系地址
    private String isRealname;//是否实名（1实名，2未实名）
	private String identity;//身份0个人1法人

	public String getMajor() {
		return major;
	}

	public void setMajor(String major) {
		this.major = major;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getLoginId() {
		return loginId;
	}

	public void setLoginId(String loginId) {
		this.loginId = loginId == null ? null : loginId.trim();
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password == null ? null : password.trim();
	}

	public String getEnUserName() {
		return enUserName;
	}

	public void setEnUserName(String enUserName) {
		this.enUserName = enUserName;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName == null ? null : userName.trim();
	}

	public String getRoleType() {
		return roleType;
	}

	public void setRoleType(String roleType) {
		this.roleType = roleType == null ? null : roleType.trim();
	}

	public String getGender() {
		return gender;
	}

	public void setGender(String gender) {
		this.gender = gender == null ? null : gender.trim();
	}

	public String getWorking() {
		return working;
	}

	public void setWorking(String working) {
		this.working = working == null ? null : working.trim();
	}

	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position == null ? null : position.trim();
	}

	public String getPlace() {
		return place;
	}

	public void setPlace(String place) {
		this.place = place == null ? null : place.trim();
	}

	public String getPhoto() {
		return photo;
	}

	public void setPhoto(String photo) {
		this.photo = photo == null ? null : photo.trim();
	}

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign == null ? null : sign.trim();
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email == null ? null : email.trim();
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone == null ? null : phone.trim();
	}

	public Boolean getHiddenGender() {
		return hiddenGender;
	}

	public void setHiddenGender(Boolean hiddenGender) {
		this.hiddenGender = hiddenGender;
	}

	public Boolean getHiddenEmail() {
		return hiddenEmail;
	}

	public void setHiddenEmail(Boolean hiddenEmail) {
		this.hiddenEmail = hiddenEmail;
	}

	public Boolean getHiddenPosi() {
		return hiddenPosi;
	}

	public void setHiddenPosi(Boolean hiddenPosi) {
		this.hiddenPosi = hiddenPosi;
	}

	public Boolean getHiddenPlace() {
		return hiddenPlace;
	}

	public void setHiddenPlace(Boolean hiddenPlace) {
		this.hiddenPlace = hiddenPlace;
	}

	public Boolean getHiddenPhone() {
		return hiddenPhone;
	}

	public void setHiddenPhone(Boolean hiddenPhone) {
		this.hiddenPhone = hiddenPhone;
	}

	public Integer getAuditStatus() {
		return auditStatus;
	}

	public void setAuditStatus(Integer auditStatus) {
		this.auditStatus = auditStatus;
	}

	public String getReason() {
		return reason;
	}

	public void setReason(String reason) {
		this.reason = reason;
	}

	public String getOpenId() {
		return openId;
	}

	public void setOpenId(String openId) {
		this.openId = openId == null ? null : openId.trim();
	}

	@JsonFormat(pattern = "yyyy-MM-dd")
	public Date getCreateDate() {
		return createDate;
	}

	@JsonFormat(pattern = "yyyy-MM-dd")
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	public Date getLastLoginTime() {
		return lastLoginTime;
	}

	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	public void setLastLoginTime(Date lastLoginTime) {
		this.lastLoginTime = lastLoginTime;
	}

	public String getFormId() {
		return formId;
	}

	public void setFormId(String formId) {
		this.formId = formId;
	}

	public Date getAuditDataTime() {
		return auditDataTime;
	}

	public void setAuditDataTime(Date auditDataTime) {
		this.auditDataTime = auditDataTime;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getPostcode() {
		return postcode;
	}

	public void setPostcode(String postcode) {
		this.postcode = postcode;
	}

    public String getAnnotation() {
        return annotation;
    }

    public void setAnnotation(String annotation) {
        this.annotation = annotation;
    }

	public String getLastLoginTimeStr() {
		return lastLoginTimeStr;
	}

	public void setLastLoginTimeStr(String lastLoginTimeStr) {
		this.lastLoginTimeStr = lastLoginTimeStr;
	}

    public String getpDocumentType() {
        return pDocumentType;
    }

    public void setpDocumentType(String pDocumentType) {
        this.pDocumentType = pDocumentType;
    }

    public String getpDocumentNum() {
        return pDocumentNum;
    }

    public void setpDocumentNum(String pDocumentNum) {
        this.pDocumentNum = pDocumentNum;
    }

    public String getpPhone() {
        return pPhone;
    }

    public void setpPhone(String pPhone) {
        this.pPhone = pPhone;
    }

    public String getpEmail() {
        return pEmail;
    }

    public void setpEmail(String pEmail) {
        this.pEmail = pEmail;
    }

    public String getpAddress() {
        return pAddress;
    }

    public void setpAddress(String pAddress) {
        this.pAddress = pAddress;
    }

    public String getlInstitutionName() {
        return lInstitutionName;
    }

    public void setlInstitutionName(String lInstitutionName) {
        this.lInstitutionName = lInstitutionName;
    }

    public String getlInstitutionType() {
        return lInstitutionType;
    }

    public void setlInstitutionType(String lInstitutionType) {
        this.lInstitutionType = lInstitutionType;
    }

    public String getlInstitutionNum() {
        return lInstitutionNum;
    }

    public void setlInstitutionNum(String lInstitutionNum) {
        this.lInstitutionNum = lInstitutionNum;
    }

    public String getlUsername() {
        return lUsername;
    }

    public void setlUsername(String lUsername) {
        this.lUsername = lUsername;
    }

    public String getlDocumentType() {
        return lDocumentType;
    }

    public void setlDocumentType(String lDocumentType) {
        this.lDocumentType = lDocumentType;
    }

    public String getlDocumentNum() {
        return lDocumentNum;
    }

    public void setlDocumentNum(String lDocumentNum) {
        this.lDocumentNum = lDocumentNum;
    }

    public String getlPhone() {
        return lPhone;
    }

    public void setlPhone(String lPhone) {
        this.lPhone = lPhone;
    }

    public String getlEmail() {
        return lEmail;
    }

    public void setlEmail(String lEmail) {
        this.lEmail = lEmail;
    }

    public String getlAddress() {
        return lAddress;
    }

    public void setlAddress(String lAddress) {
        this.lAddress = lAddress;
    }

    public String getIsRealname() {
        return isRealname;
    }

    public void setIsRealname(String isRealname) {
        this.isRealname = isRealname;
    }

	public String getIdentity() {
		return identity;
	}

	public void setIdentity(String identity) {
		this.identity = identity;
	}
}